Bug 521425 - Operations over a personal key, the application freezes
Summary: Operations over a personal key, the application freezes
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: seahorse
Version: 11
Hardware: i586
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 18:33 UTC by Juan J. Martínez
Modified: 2015-03-03 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-21 10:07:10 UTC


Attachments (Terms of Use)

Description Juan J. Martínez 2009-09-05 18:33:04 UTC
While doing operations over a personal key, the application freezes.

If you run seahorse in a console, you'll see a console dialog asking for a password to unlock the keyring. If you enter the password in the console dialog, the application works fine.

If you don't run the application from the console, the action freezes the application forever.


seahorse.i586      2.26.2-1.fc11
gnupg.i586         1.4.9-5.fc11


Steps to Reproduce:

1. Open seahorse and select one of your keys.
2. Edit it and either add a new mail address or select a secondary name as primary.
3. The application freezes

Additionally there's a message in console:

** Message: init gpgme version 1.1.8

(I don't know if it helps)

Comment 1 Juan J. Martínez 2009-09-05 19:14:04 UTC
After a little research, seems that only pinentry-curses is installed.

I've installed pinentry-gtk.i586, and then it's the default pinentry application:

$ ls -al /etc/alternatives/pinentry
lrwxrwxrwx. 1 root root 21 sep  5 21:06 /etc/alternatives/pinentry -> /usr/bin/pinentry-gtk

After that, the GTK dialog appears as expected, and seahorse works perfectly.

I think the solution may be add pinentry-gtk as dependency for seahorse package, that it's installed by default (with a GNOME desktop).

Comment 2 Juan J. Martínez 2009-11-21 10:07:10 UTC
Fedora 12 has pinentry-gtk as a dependency of seahorse, so this bug has been fixed.


Note You need to log in before you can comment on or make changes to this bug.